Skip to main content

Retrieve candidates

You can retrieve candidates using the API.

Request

This method allows you to search for one or more candidates:

POST /company/{companyID}/search/applicants

Run in Postman

Parameters

ParameterInTypeRequiredDescriptionExample
companyIdpathstring
✔️
Company identifierWy3EOp2NP3p1KMq8
firstnamepayloadstringfirstname of the candidateJohn
lastnamepayloadstringlastname of the candidateDoe
emailpayloadstringemail of the candidatejohn.doe@mail.fr
hiredpayloadbooleanWhether the candidate was hired or nottrue
columnpayloadstringtitle of the column where the candidate is locatedHR Interview
startpayloadstringDate in MM/DD/YY format to search for candidates created from a given date11/15/22
endpayloadstringDate in MM/DD/YY format to search for candidates created before a given date12/25/22
start_updatepayloadstringDate in MM/DD/YY format to search for candidates modified from a given date11/15/22
end_updatepayloadstringDate in MM/DD/YY format to search for candidates modified before a given date12/25/22
companypayloadstringSearch across multiple companies for multi-account setups
vacancypayloadstringid of the listing where the candidate appliedk5aMxpQoK7nGZ2Oz
phonepayloadstringCandidate phone number06 06 06 06 06

Request examples

cURL request
curl -X POST https://api.flatchr.io/company/Wy3EOp2NP3p1KMq8/search/applicants
-H "Authorization: Bearer {token}"
-H 'Content-Type: application/json'
-d '{"lastname":"{name}"}'

Response

NameTypeDescription
applicantstringCandidate ID
vacancystringName of the listing they applied to
columnstringColumn where the candidate is located
vacancy_idintegerListing identifier
external_idstringExternal ID
statusintegerCandidate status (0: Archived, 1: Active)
scoreintegerCandidate score
hiredbooleanWhether the candidate was hired
firstnamestringFirst name
lastnamestringLast name
emailstringEmail
phonestringPhone
created_attimestampCandidate creation date (DD/MM/YY)
updated_attimestampCandidate update date (DD/MM/YY)
sourcestringApplication source
reasonstringHiring or rejection reason
importbooleanWhether the candidate was imported
creatorstringFull name of the member who referred the candidate
cv.keystringCV key
cv.extensionstringCV file extension

Response example

[{
"applicant": "BEjyY9lke8nZl7o2",
"vacancy": "Sales Representative - Paris - Permanent",
"column": "HR Interview",
"vacancy_id": "1zj8Md6kD8nYZ70J",
"external_id": "",
"status": 1,
"score": 90,
"hired": false,
"firstname": "michelle",
"lastname": "dekerre",
"email": "michelle.d@mail.com",
"phone": "",
"created_at": "15/11/24",
"source": "Career site",
"import": true,
"cv": {
"key": "candidates/2024/11/c18f5238-a774-4609-8d59-f022a8f781db/dekerre-michelle",
"extension": "pdf"
}
}]